Name:           astronomy-menus
Version:        1.0
Release:        8%{?dist}
Summary:        Astronomy menu for the Desktop
Group:          User Interface/Desktops
License:        Public Domain
URL:            http://fedoraproject.org/wiki/SIGs/Astronomy
# git clone git://git.fedorahosted.org/git/astronomy.git
# make -C astronomy/projects/astronomy-menus dist
Source0:        %{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       redhat-menus hicolor-icon-theme
BuildRequires:  m4 tidy

%description
Astronomy submenu for the Education menu, for better usability of the
Fedora Astronomy packages.


%package toplevel
Summary:        Toplevel astronomy menu for the Desktop
Group:          User Interface/Desktops

%description toplevel
Astronomy submenu for the Education menu, for better usability of the
Fedora Astronomy packages.

This package places the submenu at the Application menu root, which
may make sense if there are no other Education packages, such as in
Fedora Astronomy Live Media Spin.


%prep
%setup -q


%build
make %{_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
        %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
        %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%post toplevel
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
        %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun toplevel
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
        %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/xdg/menus/applications-merged/astronomy.menu
%{_datadir}/desktop-directories/Astronomy.directory
%{_datadir}/icons/hicolor/scalable/devices/dome.svg
%doc README


%files toplevel
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/xdg/menus/applications-merged/astronomy-toplevel.menu
%{_datadir}/desktop-directories/Astronomy.directory
%{_datadir}/icons/hicolor/scalable/devices/dome.svg
%doc README


%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Mar 25 2009 Lubomir Rintel (Fedora Astronomy) <lkundrak@v3.sk> - 1.0-2
- Fix BRs and call scriptlets for the subpackage as well (Marek Mahut)

* Tue Mar 24 2009 Lubomir Rintel (Fedora Astronomy) <lkundrak@v3.sk> - 1.0-1
- Initial packaging
